[ut2004] ./ut2004-bin: error while loading shared libraries: libstdc++.so.5

David Wood obsidian at panix.com
Tue Jun 21 10:39:12 EDT 2005

On Tue, 21 Jun 2005, Peter Hoff wrote:

> And yeah, I fully sympathize with your situation. I'm sure you're plenty 
> frustrated with the "why don't you just recompile against the new version" 
> responses you've no doubt recieved. But, at least someone provided a compat 
> patch...

If you released as a debian package, for instance, you'd mark the 
dependency and that would be the end of it.

The problem is that there is more than one package format. What weirds me 
out is that, realistically, there are two or three. But even this is 
already more work than anyone wants to do, so they ignore them all. This 
never works out very well.

So, we have several (mostly) sane ways to organize binary distribution in 
Linux, but we're not using them. Maybe one needs to win, or maybe we just 
need tools to easily support a few simultaneously...

More information about the ut2004 mailing list